Package org.wso2.carbon.mediation.initializer.configurations

## Class ConfigurationTracker

- java.lang.Object
- - org.wso2.carbon.mediation.initializer.configurations.ConfigurationTracker

-     public class ConfigurationTracker
      extends Object

  This class is to hold the information about multiple configurations.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONFIGURATION_TRACKER` |
    `static org.apache.commons.logging.Log` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationTracker​(org.wso2.carbon.registry.core.session.UserRegistry configRegistry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `activate​(String configurationName)` |
    `void` | `create​(String configurationName, String description)` |
    `void` | `delete​(String configurationName)` |
    `ConfigurationInformation` | `getConfigurationInformation​(String name)` |
    `List<ConfigurationInformation>` | `getConfigurationList()` |
    `String` | `getCurrentConfigurationName()` |
    `void` | `init()` |
    `boolean` | `isConfigurationCreated​(String name)` |
    `boolean` | `isConfigurationExists​(String name)` |
    `void` | `update​(String name, boolean created)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          public static final org.apache.commons.logging.Log log

    - #### CONFIGURATION_TRACKER

          public static final String CONFIGURATION_TRACKER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigurationTracker

          public ConfigurationTracker​(org.wso2.carbon.registry.core.session.UserRegistry configRegistry)

  - ### Method Detail

    - #### getCurrentConfigurationName

          public String getCurrentConfigurationName()

    - #### create

          public void create​(String configurationName,
                             String description)
                      throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException`

    - #### activate

          public void activate​(String configurationName)
                        throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException`

    - #### delete

          public void delete​(String configurationName)
                      throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException`

    - #### getConfigurationList

          public List<ConfigurationInformation> getConfigurationList()
                                                              throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException`

    - #### isConfigurationCreated

          public boolean isConfigurationCreated​(String name)
                                         throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException`

    - #### isConfigurationExists

          public boolean isConfigurationExists​(String name)
                                        throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException`

    - #### init

          public void init()
                    throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException`

    - #### update

          public void update​(String name,
                             boolean created)
                      throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException`

    - #### getConfigurationInformation

          public ConfigurationInformation getConfigurationInformation​(String name)
                                                               throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException`